# cpp_standalone package

Package implementing the C++ “standalone” `Device` and `CodeObject`.

## `GSLcodeobject` module

Module containing CPPStandalone CodeObject for code generation for integration using the ODE solver provided in the GNU Scientific Library

Classes

`GSLCPPStandaloneCodeObject`(*args, **kw) |

## `codeobject` module

Module implementing the C++ “standalone” `CodeObject`

Exported members: `CPPStandaloneCodeObject`

Classes

`CPPStandaloneCodeObject`(*args, **kw) | C++ standalone code object

Functions

`generate_rand_code`(rand_func, owner) |

`openmp_pragma`(pragma_type) |

## `device` module

Module implementing the C++ “standalone” device.

Classes

`CPPStandaloneDevice`() | The `Device` used for C++ standalone simulations.

`CPPWriter`(project_dir) |

`RunFunctionContext`(name, include_in_parent) |

Functions

`invert_dict`(x) |

Objects

`cpp_standalone_device` | The `Device` used for C++ standalone simulations.